Автор Тема: Не устанавливается последняя версия skype на p9  (Прочитано 13856 раз)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 696
    • Домашняя страница
    • Email
Тогда какие вопросы, если сами выбрали закрытую платформу Skype?
Андрей Черепанов (cas@)

Оффлайн bum

  • Давно тут
  • **
  • Сообщений: 105
...У Skype есть то, чего не встречал у других. Это возможность показать свой рабочий стол. ..
Не палить номер телефона и регистрация ака только почтой самый главный +.
Не надо ничего ставить и регистрироваться:
https://www.skype.com/ru/free-conference-call/

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 889
  • валар дохаэрис
    • Канал на youtube
И чего люди не хотят flatpack юзать, там же есть skype.

Оффлайн kiav

  • Давно тут
  • **
  • Сообщений: 480
  • Стич-спасатель
    • Email
И чего люди не хотят flatpack юзать, там же есть skype.
Да просто его на странице загрузки Skype не предлагают. Там только snap.

Мне лично удалось победить проблему с переупаковкой, но не из rpm, а из deb!
Спойлер
# epm repack skypeforlinux-64.deb
Installing appropriate package for dpkg command...
 # apt-get -y --force-yes -o APT::Install::VirtualVersion=true -o APT::Install::Virtual=true -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold install dpkg
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  perl-Dpkg
Следующие НОВЫЕ пакеты будут установлены:
  dpkg perl-Dpkg
0 будет обновлено, 2 новых установлено, 0 пакетов будет удалено и 1 не будет обновлено.
Необходимо получить 1263kB архивов.
После распаковки потребуется дополнительно 6661kB дискового пространства.
Получено: 1 http://mirror.yandex.ru p9/branch/noarch/classic perl-Dpkg 1.19.5-alt1:sisyphus+228986.100.2.1@1557141773 [198kB]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64/classic dpkg 1.19.5-alt1:sisyphus+228986.100.2.1@1557141773 [1065kB]
Получено 1263kB за 0s (3660kB/s).
Совершаем изменения...
Подготовка...                                                                                                                                                              #################################################################################################### [100%]
Обновление / установка...
1: perl-Dpkg-1.19.5-alt1                                                                                                                                                   #################################################################################################### [ 50%]
2: dpkg-1.19.5-alt1                                                                                                                                                        #################################################################################################### [100%]
Завершено.

Repacking /opt/Install/Skype/Skype4Linux/skypeforlinux-64.deb to local rpm format ...
 # fakeroot alien --generate --to-rpm ../skypeforlinux-64.deb
Warning: Skipping conversion of scripts in package skypeforlinux: postinst
Warning: Use the --scripts parameter to include the scripts.
 # bash /etc/eepm/repack.d/common.sh /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152 /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152-2.spec
 # bash /etc/eepm/repack.d/skypeforlinux.sh /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152 /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152-2.spec
удалён '/tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152/opt/skypeforlinux/skypeforlinux'
удалён каталог '/tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152/opt/skypeforlinux/'
 # fakeroot rpmbuild --buildroot /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152 --define=_allow_root_build 1 -bb /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152-2.spec
предупреждение: absolute symlink: /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152/usr/bin/skype -> /usr/bin/skypeforlinux
find-requires: running scripts (cpp,debuginfo,files,lib,nodejs,nodejs_native,pam,perl,pkgconfig,pkgconfiglib,python,python3,rpmlib,shebang,shell,static,symlinks,systemd-services)
lib.req: WARNING: /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152/opt/skype/resources/app.asar.unpacked/modules/electron_utility.node: overlinked libraries: /lib64/libm.so.6
lib.req: WARNING: /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-64.deb.tmpdir/skypeforlinux-8.74.0.152/opt/skype/resources/app.asar.unpacked/modules/keytar.node: overlinked libraries: /lib64/libm.so.6 /usr/lib64/libgio-2.0.so.0 /usr/lib64/libgobject-2.0.so.0
++ /bin/sed -e '/^libffmpeg.so().*/d' -e '/^libEGL.so().*/d' -e '/^libGLESv2.so().*/d'
find-requires: FINDPACKAGE-COMMANDS: mkdir nohup

Adapted packages:
        /tmp/.private/root/tmp.eTlWCE89Xj/skypeforlinux-8.74.0.152-alt1.repacked.with.epm.2.x86_64.rpm

Поставился без каких-либо проблем. А вот переупаковка из rpm дает проблемный пакет с указанными в этой теме проблемами.
« Последнее редактирование: 28.07.2021 20:20:37 от kiav »

Оффлайн monotribe

  • Начинающий
  • *
  • Сообщений: 4
    • Email
Мне лично удалось победить проблему с переупаковкой, но не из rpm, а из deb!

Этот вариант с deb работает, спасибо.

Оффлайн Juko

  • Завсегдатай
  • *
  • Сообщений: 12
У меня без вопросов установилась версия Скайпа 8.75.0.140 через центр приложений Discover. Использую KWorkstation 9.2. Правда. не хотела сначала выходить на связь, жаловалась на отсутствие интернета, не помогала перезагрузка. Но потом всё заработало.